package com.huimv.eartag2.manage2.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.eartag2.common.utils.DateUtil;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.manage2.pojo.EartagAbnormalAlarm;
import com.huimv.eartag2.manage2.pojo.FarmerAsset;
import com.huimv.eartag2.manage2.mapper.FarmerAssetMapper;
import com.huimv.eartag2.manage2.service.FarmerAssetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
@Service
public class FarmerAssetServiceImpl extends ServiceImpl<FarmerAssetMapper, FarmerAsset> implements FarmerAssetService {
    @Autowired
    private FarmerAssetMapper farmerAssetMapper;

    @Override
    public List<FarmerAsset> getLastManyMonthAssets(String farmCode, String manyMonth) {
        //{}
        return farmerAssetMapper.getLastManyMonthAssets(farmCode,manyMonth);
    }

    @Override
    public Result getAssetStatistics(Map<String, Object> paramsMap) {
        DateUtil dateUtil = new DateUtil();
        String farmCode = paramsMap.get("areaId")+"";
        java.sql.Date todayDate = new java.sql.Date(new java.util.Date().getTime());
        QueryWrapper<EartagAbnormalAlarm> queryWrapper = new QueryWrapper();
        queryWrapper.eq("farm_code",farmCode);

        return null;
    }
}
