package com.huimv.eartag2.manage2.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.manage2.service.EartagAbnormalAlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-30
 */
@RestController
@RequestMapping("/pig")
public class EartagAbnormalAlarmController {
    @Autowired
    private EartagAbnormalAlarmService eartagAbnormalAlarmService;

    @PostMapping("/getEarTemWarning")
    public Result getEarTemWarning(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return eartagAbnormalAlarmService.getEarTemWarning(paramsMap);
    }


    @PostMapping("/getNewPig")
    public Result getNewPig(@RequestBody Map<String, String> paramsMap) {
        return eartagAbnormalAlarmService.getNewPig(paramsMap);
    }

    @PostMapping("/listFarmer")
    public Result listFarmer(@RequestBody Map<String, String> paramsMap) {
        return eartagAbnormalAlarmService.listFarmer(paramsMap);
    }
}

